#
# $Header: /cvsroot/lesstif/lesstif/clients/Motif-1.2/uil/Makefile.am,v 1.30 2005/03/26 06:52:24 dannybackx Exp $
#

#
# 2.1 and 2.0 have precendence
#
if ! Version_2_1
if ! Version_2_0
if Version_1_2
bin_PROGRAMS=	uil
noinst_PROGRAMS   = newuil
endif
endif
endif

MAINTAINERCLEANFILES=Makefile.in lex.c yacc.c yacc.h

AM_CPPFLAGS=	-I$(top_srcdir)/include/Motif-1.2 \
		-I../../../include/Motif-1.2 \
		-I$(top_srcdir)/lib/Mrm \
		-I../../../lib/Mrm \
		$(X_CFLAGS)

LDADD=		../../../lib/Mrm/libMrm.la \
		../../../lib/Xm/libXm.la \
		$(X_LIBS) -lXt $(X_PRE_LIBS) -lX11 $(X_EXTRA_LIBS)

newuil_LDADD = ../../../lib/Uil/libUil.la $(LDADD)

uil_SOURCES=	Attribute.c Callback.c Expression.c ExpressionList.c \
		FakeWidget.c Include.c MrmTypes.c glue.c yacc.y lex.l \
		main.c main.h \
		Attribute.h Callback.h Expression.h ExpressionList.h \
		FakeWidget.h Include.h MrmTypes.h glue.h

# BUILT_SOURCES = lex.c yacc.c yacc.h

#yacc.h: yacc.c
#lex.o:	yacc.h

AM_YFLAGS=		-d
